precision highp float;

uniform int uObjectIndex;

uniform vec2 uResolution;

varying vec2 vTextureCoord;

uniform sampler2D uSampler;

void main(void) {
	//float x = float(int(vTextureCoord.x * uResolution.x)) / uResolution.x;
	//float y = float(int(vTextureCoord.y * uResolution.y)) / uResolution.y;
	//vec2 rounded = vec2(x, y);
	//gl_FragColor = vec4(vTextureCoord, float(uObjectIndex) / 255.0, 1.0);
	
	gl_FragColor = vec4(texture2D(uSampler, vTextureCoord).xy, float(uObjectIndex) / 255.0, 1.0);
}