precision mediump float;

varying vec2 vTextureCoord;

uniform sampler2D uSampler;

uniform int uOverrideColor;
uniform vec4 uOverridingColor;

void main(void) {
	if(uOverrideColor == 1) {
		gl_FragColor = uOverridingColor;
	} else {
	
		vec4 color = texture2D(uSampler, vTextureCoord);
		
		if(color.a < 0.5) {
    		discard;
		} else {
			gl_FragColor = color;
		}
	
	}
	//gl_FragColor = vec4(vTextureCoord.x, vTextureCoord.y, 0.0, 1.0);
}